#ifndef __GTK_I18N__
#define __GTK_I18N__

#include <gtk/gtk.h>

#ifdef __cplusplus
extern "C" {
#endif /* __cplusplus */

//#define DISABLE_I18N
#ifndef DISABLE_I18N

/* GTK */
GtkWidget*  a_I18n_gtk_label_new (const gchar *str);
void a_I18n_gtk_label_set_text (GtkLabel *label, const gchar *str);
void a_I18n_gtk_window_set_title (GtkWindow *window, const gchar *title);
gchar* a_I18n_gtk_editable_get_chars (GtkEditable *editable,
					gint start_pos, gint end_pos);
void a_I18n_gtk_editable_insert_text (GtkEditable *editable,
					const gchar *new_text, gint new_text_length,
					gint *position);
GtkWidget* a_I18n_gtk_radio_menu_item_new_with_label (GSList *group,
        const gchar *label);
GtkWidget* a_I18n_gtk_list_item_new_with_label (const gchar *label);
void a_I18n_gtk_text_insert (GtkText *text, GdkFont *font,
				     GdkColor *fore, GdkColor *back,
				     const char *chars, gint length);
GtkWidget* a_I18n_gtk_button_new_with_label (const gchar *label);
void a_I18n_gtk_entry_set_text (GtkEntry *entry, const gchar *text);
gchar* a_I18n_gtk_entry_get_text (GtkEntry *entry);
GtkWidget* a_I18n_gtk_menu_item_new_with_label (const gchar *label);

/* GDK */
void a_I18n_gdk_draw_string (GdkDrawable *drawable,
        GdkFont *font,
        GdkGC *gc,
        gint x,
        gint y,
        const gchar *string);
gint a_I18n_gdk_text_width (GdkFont *font,
        const gchar *text, gint text_length);

#else
#define a_I18n_gtk_label_new gtk_label_new
#define a_I18n_gtk_label_set_text gtk_label_set_text
#define a_I18n_gtk_window_set_title gtk_window_set_title
#define a_I18n_gtk_editable_get_chars gtk_editable_get_chars
#define a_I18n_gtk_editable_insert_text gtk_editable_insert_text
#define a_I18n_gtk_radio_menu_item_new_with_label \
        gtk_radio_menu_item_new_with_label
#define a_I18n_gtk_list_item_new_with_label gtk_list_item_new_with_label
#define a_I18n_gtk_text_insert gtk_text_insert
#define a_I18n_gtk_button_new_with_label gtk_button_new_with_label
#define a_I18n_gtk_entry_set_text gtk_entry_set_text
#define a_I18n_gtk_entry_get_text gtk_entry_get_text
#define a_I18n_gtk_menu_item_new_with_label gtk_menu_item_new_with_label
#define a_I18n_gdk_draw_string gdk_draw_string 
#define a_I18n_gdk_text_width gdk_text_width
#endif /* DISABLE_I18n */

#define a_I18n_gtk_label_set a_I18n_gtk_label_set_text

#ifdef __cplusplus
}
#endif /* __cplusplus */

#endif /* __GTK_I18N__ */
